POST /v1/responses
Koncový bod kompatibilní s OpenAI Responses pro text, nástroje, hostované vyhledávání na webu a Codex CLI.
POST /v1/responses
Žádost
curl https://api.model-gate.com/v1/responses \
-H "Authorization: Bearer mg_live_..." \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-5.4",
"input": [
{
"role": "user",
"content": [{"type": "input_text", "text": "Summarize the release."}]
}
],
"stream": false
}'
Odpověď
{
"id": "resp_example",
"object": "response",
"status": "completed",
"model": "gpt-5.4",
"output": [
{
"type": "message",
"role": "assistant",
"content": [{"type": "output_text", "text": "The release adds synchronized documentation and model aliases."}]
}
],
"usage": {
"input_tokens": 18,
"output_tokens": 14,
"total_tokens": 32
}
}
Hostované vyhledávání na webu
Přidat:
{
"tools": [{"type": "web_search"}],
"tool_choice": "required",
"include": ["web_search_call.action.sources"]
}
Není podporováno žádné samostatné /v1/web-search smlouva. Použijte nástroj Responses API.
Async
"async": true je podporován pouze s "stream": false.